////////////////////////////////////////////////////////////////////////
// Breeze Website Builder
// Copyright Silver Dolphin Solutions, LLC, Edward Lemmers, P.E.
// For licensing, see license.txt.
// Created: 4/5/2015	ELL
// Converted save operation to AJAX.
// Revamped preview to show actual popup page.

var param_array = {'popup_msg_type' : 1, 'status_msg' : '', 'popup_timeout' : -1};
var popup_msg = new PopupMsg(param_array);

window.parent.document.title = document.title;
	
function SelectMenu(menu)
{
	var url = "edit_js_menu_styles.php?menu=" + menu;
	window.location.href = url;
}

function popupcolorpicker(form_name, field_name, top_offset)
{
	var start_color = document.getElementById(field_name).value;
	if (start_color == "")
		start_color = "-not set-";
	else
		start_color = start_color.replace("#", "");
	
	var URL = "colorpicker.php?form_name=" + form_name + "&field_name=" + field_name + "&source_page=edit_js_menu_styles.php&start_color=" + start_color;
	
	if ((typeof top_offset == 'undefined') || isNaN(top_offset))
		top_offset = 0;
	var ntop = parseInt(tempY) + parseInt(top_offset);
	var nleft = tempX;
	
	window.open (URL, "colorpicker", "alwaysRaised=0,dependent=1,menubar=0,resizable=0,width=450,height=350,scrollbars=0,location=0,top=" + ntop + ",left=" + nleft);
}

function enable_disable_shadow(level, mouse_event)
{
	var shadow = level + "_shadow_" + mouse_event;
	var shadow_color = level + "_shadow_color_" + mouse_event;
	var shadow_x_offset = level + "_shadow_x_offset_" + mouse_event;
	var shadow_y_offset = level + "_shadow_y_offset_" + mouse_event;
	var shadow_blur = level + "_shadow_blur_" + mouse_event;
	
	
	if (document.getElementById(shadow).checked == true)
	{
		document.getElementById(shadow_color).disabled = false;
		document.getElementById(shadow_x_offset).disabled = false;
		document.getElementById(shadow_y_offset).disabled = false;
		document.getElementById(shadow_blur).disabled = false;
	}
	else
	{
		document.getElementById(shadow_color).disabled = true;
		document.getElementById(shadow_x_offset).disabled = true;
		document.getElementById(shadow_y_offset).disabled = true;
		document.getElementById(shadow_blur).disabled = true;
	}
}

function enable_disable_controls()
{
	enable_disable_shadow('top_level', 'out');
	enable_disable_shadow('top_level', 'over');
	enable_disable_shadow('sub_level_1', 'out');
	enable_disable_shadow('sub_level_1', 'over');
	enable_disable_shadow('sub_level_2', 'out');
	enable_disable_shadow('sub_level_2', 'over');
	
	enable_disable_font_size('top_level_font_size_out', 'top_level_font_size_units_out');
	enable_disable_font_size('top_level_font_size_over', 'top_level_font_size_units_over');
	enable_disable_font_size('sub_level_1_font_size_out', 'sub_level_1_font_size_units_out');
	enable_disable_font_size('sub_level_1_font_size_over', 'sub_level_1_font_size_units_over');
	enable_disable_font_size('sub_level_2_font_size_out', 'sub_level_2_font_size_units_out');
	enable_disable_font_size('sub_level_2_font_size_over', 'sub_level_2_font_size_units_over');
}

function OpenHelpWindow()
{
	window.open("http://breezewebsitebuilder.com/docs/cms/help.html#edit_menu_styles", "Help", "scrollbars=1,resizable=1,status=0,toolbar=0,menubar=0,location=0,height=700,width=800");
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////
function enable_disable_font_size(font_size_el_id, font_size_units_el_id)
{
	var units = document.getElementById(font_size_units_el_id).value;
	var font_size = "";
	
	var no_length_arr = new Array("xx-small","x-small","small","medium","large","x-large","xx-large","smaller","larger","initial","inherit");
	var integer_length_arr = new Array("px","%");
	
	if (no_length_arr.indexOf(units) > -1)
		document.getElementById(font_size_el_id).disabled = true;
	else
		document.getElementById(font_size_el_id).disabled = false;
		
	if (integer_length_arr.indexOf(units) > -1)	{
		font_size = document.getElementById(font_size_el_id).value;
		var font_size_arr = font_size.split(".");
		document.getElementById(font_size_el_id).value = font_size_arr[0];
	}
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////
function SaveMenuStyles()
{
	document.getElementById('operation').value = 'Update';
	
	$.ajax({type:'POST', url: 'save_js_menu_styles.php', data:$('#frm_menu_styles').serialize(), success: function(response) {
		CompleteSaveMenuStyles(response);
	}});
}
function CompleteSaveMenuStyles(response)
{
//	alert(response);
	if (response == 1)
		popup_msg.status_msg = EDIT_CSS_MENU_STYLES_SAVE_SUCCESS_MSG;
	else
		popup_msg.status_msg = EDIT_CSS_MENU_STYLES_SAVE_FAIL_ERR;
	popup_msg.popup_msg_type = 1;
	popup_msg.top_offset = 0;
	popup_msg.left_offset = 250;
	popup_msg.popup_timeout = 2000;
	popup_msg.ShowPopupMsg();
}

function PreviewPageSelect()
{
	var ntop = tempY - 4600;
	var strtop = ntop + "px";
	document.getElementById("page_select_div").style.display = "block";
	document.getElementById("page_select_div").style.bottom = strtop;
}
function Preview(page_name, do_refresh)
{
	document.getElementById('operation').value = 'Preview';
	if (page_name == "")
		page_name = "index";
	
	$.ajax({type:'POST', url: 'save_js_menu_styles.php', data:$('#frm_menu_styles').serialize(), success: function(response) {
		CompletePreviewMenuStyles(response, page_name, do_refresh);
	}});
}
var preview_window;
function CompletePreviewMenuStyles(response, page_name, do_refresh)
{
	document.getElementById("page_select_div").style.display = "none";
	
	if (do_refresh != 1)	{
		var style_sheet = document.getElementById('menu').value;
		var preview_page_string = "preview_page.php?page_name=" + page_name + "&special=4&mode=0&blog_id=0&style_sheet=" + style_sheet;
		preview_window = window.open(preview_page_string, "Preview", "scrollbars=1,resizable=1,status=0,toolbar=0,menubar=0,location=0,height=900,width=1000");
	}
	else
		preview_window.location.reload();
}

function CheckFormatOnUnitSelect(unit_el_id, length_el_id, offset)
{
	var units = document.getElementById(unit_el_id).value;
	var length = "";		
	if (units < (2 + offset))	{
		length = document.getElementById(length_el_id).value;
		var length_arr = length.split(".");
		document.getElementById(length_el_id).value = length_arr[0];
	}
}

function InitializeForm()
{
	enable_disable_controls();
	
	CheckFormatOnUnitSelect("top_level_font_size_units_out", "top_level_font_size_out", 0);
	CheckFormatOnUnitSelect("top_level_font_size_units_over", "top_level_font_size_over", 0);
	CheckFormatOnUnitSelect("sub_level_1_font_size_units_out", "sub_level_1_font_size_out", 0);
	CheckFormatOnUnitSelect("sub_level_1_font_size_units_over", "sub_level_1_font_size_over", 0);
	CheckFormatOnUnitSelect("sub_level_2_font_size_units_out", "sub_level_2_font_size_out", 0);
	CheckFormatOnUnitSelect("sub_level_2_font_size_units_over", "sub_level_2_font_size_over", 0);
	
	if (document.getElementById("top_level_font_size_out").value == _NOT_SET_)
		document.getElementById("top_level_font_size_out").className = "not_set";
	else
		document.getElementById("top_level_font_size_out").className = "";
	if (document.getElementById("top_level_text_color_out").value == _NOT_SET_)
		document.getElementById("top_level_text_color_out").className = "not_set";
	else
		document.getElementById("top_level_text_color_out").className = "";
	if (document.getElementById("top_level_padding_top_out").value == _NOT_SET_)
		document.getElementById("top_level_padding_top_out").className = "not_set";
	else
		document.getElementById("top_level_padding_top_out").className = "";
	if (document.getElementById("top_level_padding_right_out").value == _NOT_SET_)
		document.getElementById("top_level_padding_right_out").className = "not_set";
	else
		document.getElementById("top_level_padding_right_out").className = "";
	if (document.getElementById("top_level_padding_bottom_out").value == _NOT_SET_)
		document.getElementById("top_level_padding_bottom_out").className = "not_set";
	else
		document.getElementById("top_level_padding_bottom_out").className = "";
	if (document.getElementById("top_level_padding_left_out").value == _NOT_SET_)
		document.getElementById("top_level_padding_left_out").className = "not_set";
	else
		document.getElementById("top_level_padding_left_out").className = "";
	if (document.getElementById("top_level_shadow_color_out").value == _NOT_SET_)
		document.getElementById("top_level_shadow_color_out").className = "not_set";
	else
		document.getElementById("top_level_shadow_color_out").className = "";
	if (document.getElementById("top_level_shadow_x_offset_out").value == _NOT_SET_)
		document.getElementById("top_level_shadow_x_offset_out").className = "not_set";
	else
		document.getElementById("top_level_shadow_x_offset_out").className = "";
	if (document.getElementById("top_level_shadow_y_offset_out").value == _NOT_SET_)
		document.getElementById("top_level_shadow_y_offset_out").className = "not_set";
	else
		document.getElementById("top_level_shadow_y_offset_out").className = "";
	if (document.getElementById("top_level_shadow_blur_out").value == _NOT_SET_)
		document.getElementById("top_level_shadow_blur_out").className = "not_set";
	else
		document.getElementById("top_level_shadow_blur_out").className = "";
	if (document.getElementById("top_level_font_size_over").value == _NOT_SET_)
		document.getElementById("top_level_font_size_over").className = "not_set";
	else
		document.getElementById("top_level_font_size_over").className = "";
	if (document.getElementById("top_level_text_color_over").value == _NOT_SET_)
		document.getElementById("top_level_text_color_over").className = "not_set";
	else
		document.getElementById("top_level_text_color_over").className = "";
	if (document.getElementById("top_level_padding_top_over").value == _NOT_SET_)
		document.getElementById("top_level_padding_top_over").className = "not_set";
	else
		document.getElementById("top_level_padding_top_over").className = "";
	if (document.getElementById("top_level_padding_right_over").value == _NOT_SET_)
		document.getElementById("top_level_padding_right_over").className = "not_set";
	else
		document.getElementById("top_level_padding_right_over").className = "";
	if (document.getElementById("top_level_padding_bottom_over").value == _NOT_SET_)
		document.getElementById("top_level_padding_bottom_over").className = "not_set";
	else
		document.getElementById("top_level_padding_bottom_over").className = "";
	if (document.getElementById("top_level_padding_left_over").value == _NOT_SET_)
		document.getElementById("top_level_padding_left_over").className = "not_set";
	else
		document.getElementById("top_level_padding_left_over").className = "";
	if (document.getElementById("top_level_shadow_color_over").value == _NOT_SET_)
		document.getElementById("top_level_shadow_color_over").className = "not_set";
	else
		document.getElementById("top_level_shadow_color_over").className = "";
	if (document.getElementById("top_level_shadow_x_offset_over").value == _NOT_SET_)
		document.getElementById("top_level_shadow_x_offset_over").className = "not_set";
	else
		document.getElementById("top_level_shadow_x_offset_over").className = "";
	if (document.getElementById("top_level_shadow_y_offset_over").value == _NOT_SET_)
		document.getElementById("top_level_shadow_y_offset_over").className = "not_set";
	else
		document.getElementById("top_level_shadow_y_offset_over").className = "";
	if (document.getElementById("top_level_shadow_blur_over").value == _NOT_SET_)
		document.getElementById("top_level_shadow_blur_over").className = "not_set";
	else
		document.getElementById("top_level_shadow_blur_over").className = "";
	if (document.getElementById("top_level_bkgd_color_out").value == _NOT_SET_)
		document.getElementById("top_level_bkgd_color_out").className = "not_set";
	else
		document.getElementById("top_level_bkgd_color_out").className = "";
	if (document.getElementById("top_level_bkgd_opacity_out").value == _NOT_SET_)
		document.getElementById("top_level_bkgd_opacity_out").className = "not_set";
	else
		document.getElementById("top_level_bkgd_opacity_out").className = "";
	if (document.getElementById("top_level_border_out").value == _NOT_SET_)
		document.getElementById("top_level_border_out").className = "not_set";
	else
		document.getElementById("top_level_border_out").className = "";
	if (document.getElementById("top_level_border_color_out").value == _NOT_SET_)
		document.getElementById("top_level_border_color_out").className = "not_set";
	else
		document.getElementById("top_level_border_color_out").className = "";
	if (document.getElementById("top_level_box_shadow_horizontal_out").value == _NOT_SET_)
		document.getElementById("top_level_box_shadow_horizontal_out").className = "not_set";
	else
		document.getElementById("top_level_box_shadow_horizontal_out").className = "";
	if (document.getElementById("top_level_box_shadow_vertical_out").value == _NOT_SET_)
		document.getElementById("top_level_box_shadow_vertical_out").className = "not_set";
	else
		document.getElementById("top_level_box_shadow_vertical_out").className = "";
	if (document.getElementById("top_level_box_shadow_blur_out").value == _NOT_SET_)
		document.getElementById("top_level_box_shadow_blur_out").className = "not_set";
	else
		document.getElementById("top_level_box_shadow_blur_out").className = "";
	if (document.getElementById("top_level_box_shadow_spread_out").value == _NOT_SET_)
		document.getElementById("top_level_box_shadow_spread_out").className = "not_set";
	else
		document.getElementById("top_level_box_shadow_spread_out").className = "";
	if (document.getElementById("top_level_box_shadow_color_out").value == _NOT_SET_)
		document.getElementById("top_level_box_shadow_color_out").className = "not_set";
	else
		document.getElementById("top_level_box_shadow_color_out").className = "";
	if (document.getElementById("top_level_bkgd_color_over").value == _NOT_SET_)
		document.getElementById("top_level_bkgd_color_over").className = "not_set";
	else
		document.getElementById("top_level_bkgd_color_over").className = "";
	if (document.getElementById("top_level_border_over").value == _NOT_SET_)
		document.getElementById("top_level_border_over").className = "not_set";
	else
		document.getElementById("top_level_border_over").className = "";
	if (document.getElementById("top_level_border_color_over").value == _NOT_SET_)
		document.getElementById("top_level_border_color_over").className = "not_set";
	else
		document.getElementById("top_level_border_color_over").className = "";
	if (document.getElementById("top_level_box_shadow_horizontal_over").value == _NOT_SET_)
		document.getElementById("top_level_box_shadow_horizontal_over").className = "not_set";
	else
		document.getElementById("top_level_box_shadow_horizontal_over").className = "";
	if (document.getElementById("top_level_box_shadow_vertical_over").value == _NOT_SET_)
		document.getElementById("top_level_box_shadow_vertical_over").className = "not_set";
	else
		document.getElementById("top_level_box_shadow_vertical_over").className = "";
	if (document.getElementById("top_level_box_shadow_blur_over").value == _NOT_SET_)
		document.getElementById("top_level_box_shadow_blur_over").className = "not_set";
	else
		document.getElementById("top_level_box_shadow_blur_over").className = "";
	if (document.getElementById("top_level_box_shadow_spread_over").value == _NOT_SET_)
		document.getElementById("top_level_box_shadow_spread_over").className = "not_set";
	else
		document.getElementById("top_level_box_shadow_spread_over").className = "";
	if (document.getElementById("top_level_box_shadow_color_over").value == _NOT_SET_)
		document.getElementById("top_level_box_shadow_color_over").className = "not_set";
	else
		document.getElementById("top_level_box_shadow_color_over").className = "";
	if (document.getElementById("sub_level_1_font_size_out").value == _NOT_SET_)
		document.getElementById("sub_level_1_font_size_out").className = "not_set";
	else
		document.getElementById("sub_level_1_font_size_out").className = "";
	if (document.getElementById("sub_level_1_text_color_out").value == _NOT_SET_)
		document.getElementById("sub_level_1_text_color_out").className = "not_set";
	else
		document.getElementById("sub_level_1_text_color_out").className = "";
	if (document.getElementById("sub_level_1_padding_top_out").value == _NOT_SET_)
		document.getElementById("sub_level_1_padding_top_out").className = "not_set";
	else
		document.getElementById("sub_level_1_padding_top_out").className = "";
	if (document.getElementById("sub_level_1_padding_right_out").value == _NOT_SET_)
		document.getElementById("sub_level_1_padding_right_out").className = "not_set";
	else
		document.getElementById("sub_level_1_padding_right_out").className = "";
	if (document.getElementById("sub_level_1_padding_bottom_out").value == _NOT_SET_)
		document.getElementById("sub_level_1_padding_bottom_out").className = "not_set";
	else
		document.getElementById("sub_level_1_padding_bottom_out").className = "";
	if (document.getElementById("sub_level_1_padding_left_out").value == _NOT_SET_)
		document.getElementById("sub_level_1_padding_left_out").className = "not_set";
	else
		document.getElementById("sub_level_1_padding_left_out").className = "";
	if (document.getElementById("sub_level_1_shadow_color_out").value == _NOT_SET_)
		document.getElementById("sub_level_1_shadow_color_out").className = "not_set";
	else
		document.getElementById("sub_level_1_shadow_color_out").className = "";
	if (document.getElementById("sub_level_1_shadow_x_offset_out").value == _NOT_SET_)
		document.getElementById("sub_level_1_shadow_x_offset_out").className = "not_set";
	else
		document.getElementById("sub_level_1_shadow_x_offset_out").className = "";
	if (document.getElementById("sub_level_1_shadow_y_offset_out").value == _NOT_SET_)
		document.getElementById("sub_level_1_shadow_y_offset_out").className = "not_set";
	else
		document.getElementById("sub_level_1_shadow_y_offset_out").className = "";
	if (document.getElementById("sub_level_1_shadow_blur_out").value == _NOT_SET_)
		document.getElementById("sub_level_1_shadow_blur_out").className = "not_set";
	else
		document.getElementById("sub_level_1_shadow_blur_out").className = "";
	if (document.getElementById("sub_level_1_font_size_over").value == _NOT_SET_)
		document.getElementById("sub_level_1_font_size_over").className = "not_set";
	else
		document.getElementById("sub_level_1_font_size_over").className = "";
	if (document.getElementById("sub_level_1_text_color_over").value == _NOT_SET_)
		document.getElementById("sub_level_1_text_color_over").className = "not_set";
	else
		document.getElementById("sub_level_1_text_color_over").className = "";
	if (document.getElementById("sub_level_1_padding_top_over").value == _NOT_SET_)
		document.getElementById("sub_level_1_padding_top_over").className = "not_set";
	else
		document.getElementById("sub_level_1_padding_top_over").className = "";
	if (document.getElementById("sub_level_1_padding_right_over").value == _NOT_SET_)
		document.getElementById("sub_level_1_padding_right_over").className = "not_set";
	else
		document.getElementById("sub_level_1_padding_right_over").className = "";
	if (document.getElementById("sub_level_1_padding_bottom_over").value == _NOT_SET_)
		document.getElementById("sub_level_1_padding_bottom_over").className = "not_set";
	else
		document.getElementById("sub_level_1_padding_bottom_over").className = "";
	if (document.getElementById("sub_level_1_padding_left_over").value == _NOT_SET_)
		document.getElementById("sub_level_1_padding_left_over").className = "not_set";
	else
		document.getElementById("sub_level_1_padding_left_over").className = "";
	if (document.getElementById("sub_level_1_shadow_color_over").value == _NOT_SET_)
		document.getElementById("sub_level_1_shadow_color_over").className = "not_set";
	else
		document.getElementById("sub_level_1_shadow_color_over").className = "";
	if (document.getElementById("sub_level_1_shadow_x_offset_over").value == _NOT_SET_)
		document.getElementById("sub_level_1_shadow_x_offset_over").className = "not_set";
	else
		document.getElementById("sub_level_1_shadow_x_offset_over").className = "";
	if (document.getElementById("sub_level_1_shadow_y_offset_over").value == _NOT_SET_)
		document.getElementById("sub_level_1_shadow_y_offset_over").className = "not_set";
	else
		document.getElementById("sub_level_1_shadow_y_offset_over").className = "";
	if (document.getElementById("sub_level_1_shadow_blur_over").value == _NOT_SET_)
		document.getElementById("sub_level_1_shadow_blur_over").className = "not_set";
	else
		document.getElementById("sub_level_1_shadow_blur_over").className = "";
	if (document.getElementById("sub_level_1_bkgd_color_out").value == _NOT_SET_)
		document.getElementById("sub_level_1_bkgd_color_out").className = "not_set";
	else
		document.getElementById("sub_level_1_bkgd_color_out").className = "";
	if (document.getElementById("sub_level_1_bkgd_opacity_out").value == _NOT_SET_)
		document.getElementById("sub_level_1_bkgd_opacity_out").className = "not_set";
	else
		document.getElementById("sub_level_1_bkgd_opacity_out").className = "";
	if (document.getElementById("sub_level_1_border_out").value == _NOT_SET_)
		document.getElementById("sub_level_1_border_out").className = "not_set";
	else
		document.getElementById("sub_level_1_border_out").className = "";
	if (document.getElementById("sub_level_1_border_color_out").value == _NOT_SET_)
		document.getElementById("sub_level_1_border_color_out").className = "not_set";
	else
		document.getElementById("sub_level_1_border_color_out").className = "";
	if (document.getElementById("sub_level_1_box_shadow_horizontal_out").value == _NOT_SET_)
		document.getElementById("sub_level_1_box_shadow_horizontal_out").className = "not_set";
	else
		document.getElementById("sub_level_1_box_shadow_horizontal_out").className = "";
	if (document.getElementById("sub_level_1_box_shadow_vertical_out").value == _NOT_SET_)
		document.getElementById("sub_level_1_box_shadow_vertical_out").className = "not_set";
	else
		document.getElementById("sub_level_1_box_shadow_vertical_out").className = "";
	if (document.getElementById("sub_level_1_box_shadow_blur_out").value == _NOT_SET_)
		document.getElementById("sub_level_1_box_shadow_blur_out").className = "not_set";
	else
		document.getElementById("sub_level_1_box_shadow_blur_out").className = "";
	if (document.getElementById("sub_level_1_box_shadow_spread_out").value == _NOT_SET_)
		document.getElementById("sub_level_1_box_shadow_spread_out").className = "not_set";
	else
		document.getElementById("sub_level_1_box_shadow_spread_out").className = "";
	if (document.getElementById("sub_level_1_box_shadow_color_out").value == _NOT_SET_)
		document.getElementById("sub_level_1_box_shadow_color_out").className = "not_set";
	else
		document.getElementById("sub_level_1_box_shadow_color_out").className = "";
	if (document.getElementById("sub_level_1_bkgd_color_over").value == _NOT_SET_)
		document.getElementById("sub_level_1_bkgd_color_over").className = "not_set";
	else
		document.getElementById("sub_level_1_bkgd_color_over").className = "";
	if (document.getElementById("sub_level_1_border_over").value == _NOT_SET_)
		document.getElementById("sub_level_1_border_over").className = "not_set";
	else
		document.getElementById("sub_level_1_border_over").className = "";
	if (document.getElementById("sub_level_1_border_color_over").value == _NOT_SET_)
		document.getElementById("sub_level_1_border_color_over").className = "not_set";
	else
		document.getElementById("sub_level_1_border_color_over").className = "";
	if (document.getElementById("sub_level_1_box_shadow_horizontal_over").value == _NOT_SET_)
		document.getElementById("sub_level_1_box_shadow_horizontal_over").className = "not_set";
	else
		document.getElementById("sub_level_1_box_shadow_horizontal_over").className = "";
	if (document.getElementById("sub_level_1_box_shadow_vertical_over").value == _NOT_SET_)
		document.getElementById("sub_level_1_box_shadow_vertical_over").className = "not_set";
	else
		document.getElementById("sub_level_1_box_shadow_vertical_over").className = "";
	if (document.getElementById("sub_level_1_box_shadow_blur_over").value == _NOT_SET_)
		document.getElementById("sub_level_1_box_shadow_blur_over").className = "not_set";
	else
		document.getElementById("sub_level_1_box_shadow_blur_over").className = "";
	if (document.getElementById("sub_level_1_box_shadow_spread_over").value == _NOT_SET_)
		document.getElementById("sub_level_1_box_shadow_spread_over").className = "not_set";
	else
		document.getElementById("sub_level_1_box_shadow_spread_over").className = "";
	if (document.getElementById("sub_level_1_box_shadow_color_over").value == _NOT_SET_)
		document.getElementById("sub_level_1_box_shadow_color_over").className = "not_set";
	else
		document.getElementById("sub_level_1_box_shadow_color_over").className = "";
	if (document.getElementById("sub_level_2_font_size_out").value == _NOT_SET_)
		document.getElementById("sub_level_2_font_size_out").className = "not_set";
	else
		document.getElementById("sub_level_2_font_size_out").className = "";
	if (document.getElementById("sub_level_2_text_color_out").value == _NOT_SET_)
		document.getElementById("sub_level_2_text_color_out").className = "not_set";
	else
		document.getElementById("sub_level_2_text_color_out").className = "";
	if (document.getElementById("sub_level_2_padding_top_out").value == _NOT_SET_)
		document.getElementById("sub_level_2_padding_top_out").className = "not_set";
	else
		document.getElementById("sub_level_2_padding_top_out").className = "";
	if (document.getElementById("sub_level_2_padding_right_out").value == _NOT_SET_)
		document.getElementById("sub_level_2_padding_right_out").className = "not_set";
	else
		document.getElementById("sub_level_2_padding_right_out").className = "";
	if (document.getElementById("sub_level_2_padding_bottom_out").value == _NOT_SET_)
		document.getElementById("sub_level_2_padding_bottom_out").className = "not_set";
	else
		document.getElementById("sub_level_2_padding_bottom_out").className = "";
	if (document.getElementById("sub_level_2_padding_left_out").value == _NOT_SET_)
		document.getElementById("sub_level_2_padding_left_out").className = "not_set";
	else
		document.getElementById("sub_level_2_padding_left_out").className = "";
	if (document.getElementById("sub_level_2_shadow_color_out").value == _NOT_SET_)
		document.getElementById("sub_level_2_shadow_color_out").className = "not_set";
	else
		document.getElementById("sub_level_2_shadow_color_out").className = "";
	if (document.getElementById("sub_level_2_shadow_x_offset_out").value == _NOT_SET_)
		document.getElementById("sub_level_2_shadow_x_offset_out").className = "not_set";
	else
		document.getElementById("sub_level_2_shadow_x_offset_out").className = "";
	if (document.getElementById("sub_level_2_shadow_y_offset_out").value == _NOT_SET_)
		document.getElementById("sub_level_2_shadow_y_offset_out").className = "not_set";
	else
		document.getElementById("sub_level_2_shadow_y_offset_out").className = "";
	if (document.getElementById("sub_level_2_shadow_blur_out").value == _NOT_SET_)
		document.getElementById("sub_level_2_shadow_blur_out").className = "not_set";
	else
		document.getElementById("sub_level_2_shadow_blur_out").className = "";
	if (document.getElementById("sub_level_2_font_size_over").value == _NOT_SET_)
		document.getElementById("sub_level_2_font_size_over").className = "not_set";
	else
		document.getElementById("sub_level_2_font_size_over").className = "";
	if (document.getElementById("sub_level_2_text_color_over").value == _NOT_SET_)
		document.getElementById("sub_level_2_text_color_over").className = "not_set";
	else
		document.getElementById("sub_level_2_text_color_over").className = "";
	if (document.getElementById("sub_level_2_padding_top_over").value == _NOT_SET_)
		document.getElementById("sub_level_2_padding_top_over").className = "not_set";
	else
		document.getElementById("sub_level_2_padding_top_over").className = "";
	if (document.getElementById("sub_level_2_padding_right_over").value == _NOT_SET_)
		document.getElementById("sub_level_2_padding_right_over").className = "not_set";
	else
		document.getElementById("sub_level_2_padding_right_over").className = "";
	if (document.getElementById("sub_level_2_padding_bottom_over").value == _NOT_SET_)
		document.getElementById("sub_level_2_padding_bottom_over").className = "not_set";
	else
		document.getElementById("sub_level_2_padding_bottom_over").className = "";
	if (document.getElementById("sub_level_2_padding_left_over").value == _NOT_SET_)
		document.getElementById("sub_level_2_padding_left_over").className = "not_set";
	else
		document.getElementById("sub_level_2_padding_left_over").className = "";
	if (document.getElementById("sub_level_2_shadow_color_over").value == _NOT_SET_)
		document.getElementById("sub_level_2_shadow_color_over").className = "not_set";
	else
		document.getElementById("sub_level_2_shadow_color_over").className = "";
	if (document.getElementById("sub_level_2_shadow_x_offset_over").value == _NOT_SET_)
		document.getElementById("sub_level_2_shadow_x_offset_over").className = "not_set";
	else
		document.getElementById("sub_level_2_shadow_x_offset_over").className = "";
	if (document.getElementById("sub_level_2_shadow_y_offset_over").value == _NOT_SET_)
		document.getElementById("sub_level_2_shadow_y_offset_over").className = "not_set";
	else
		document.getElementById("sub_level_2_shadow_y_offset_over").className = "";
	if (document.getElementById("sub_level_2_shadow_blur_over").value == _NOT_SET_)
		document.getElementById("sub_level_2_shadow_blur_over").className = "not_set";
	else
		document.getElementById("sub_level_2_shadow_blur_over").className = "";
	if (document.getElementById("sub_level_2_bkgd_color_out").value == _NOT_SET_)
		document.getElementById("sub_level_2_bkgd_color_out").className = "not_set";
	else
		document.getElementById("sub_level_2_bkgd_color_out").className = "";
	if (document.getElementById("sub_level_2_bkgd_opacity_out").value == _NOT_SET_)
		document.getElementById("sub_level_2_bkgd_opacity_out").className = "not_set";
	else
		document.getElementById("sub_level_2_bkgd_opacity_out").className = "";
	if (document.getElementById("sub_level_2_border_out").value == _NOT_SET_)
		document.getElementById("sub_level_2_border_out").className = "not_set";
	else
		document.getElementById("sub_level_2_border_out").className = "";
	if (document.getElementById("sub_level_2_border_color_out").value == _NOT_SET_)
		document.getElementById("sub_level_2_border_color_out").className = "not_set";
	else
		document.getElementById("sub_level_2_border_color_out").className = "";
	if (document.getElementById("sub_level_2_box_shadow_horizontal_out").value == _NOT_SET_)
		document.getElementById("sub_level_2_box_shadow_horizontal_out").className = "not_set";
	else
		document.getElementById("sub_level_2_box_shadow_horizontal_out").className = "";
	if (document.getElementById("sub_level_2_box_shadow_vertical_out").value == _NOT_SET_)
		document.getElementById("sub_level_2_box_shadow_vertical_out").className = "not_set";
	else
		document.getElementById("sub_level_2_box_shadow_vertical_out").className = "";
	if (document.getElementById("sub_level_2_box_shadow_blur_out").value == _NOT_SET_)
		document.getElementById("sub_level_2_box_shadow_blur_out").className = "not_set";
	else
		document.getElementById("sub_level_2_box_shadow_blur_out").className = "";
	if (document.getElementById("sub_level_2_box_shadow_spread_out").value == _NOT_SET_)
		document.getElementById("sub_level_2_box_shadow_spread_out").className = "not_set";
	else
		document.getElementById("sub_level_2_box_shadow_spread_out").className = "";
	if (document.getElementById("sub_level_2_box_shadow_color_out").value == _NOT_SET_)
		document.getElementById("sub_level_2_box_shadow_color_out").className = "not_set";
	else
		document.getElementById("sub_level_2_box_shadow_color_out").className = "";
	if (document.getElementById("sub_level_2_bkgd_color_over").value == _NOT_SET_)
		document.getElementById("sub_level_2_bkgd_color_over").className = "not_set";
	else
		document.getElementById("sub_level_2_bkgd_color_over").className = "";
	if (document.getElementById("sub_level_2_border_over").value == _NOT_SET_)
		document.getElementById("sub_level_2_border_over").className = "not_set";
	else
		document.getElementById("sub_level_2_border_over").className = "";
	if (document.getElementById("sub_level_2_border_color_over").value == _NOT_SET_)
		document.getElementById("sub_level_2_border_color_over").className = "not_set";
	else
		document.getElementById("sub_level_2_border_color_over").className = "";
	if (document.getElementById("sub_level_2_box_shadow_horizontal_over").value == _NOT_SET_)
		document.getElementById("sub_level_2_box_shadow_horizontal_over").className = "not_set";
	else
		document.getElementById("sub_level_2_box_shadow_horizontal_over").className = "";
	if (document.getElementById("sub_level_2_box_shadow_vertical_over").value == _NOT_SET_)
		document.getElementById("sub_level_2_box_shadow_vertical_over").className = "not_set";
	else
		document.getElementById("sub_level_2_box_shadow_vertical_over").className = "";
	if (document.getElementById("sub_level_2_box_shadow_blur_over").value == _NOT_SET_)
		document.getElementById("sub_level_2_box_shadow_blur_over").className = "not_set";
	else
		document.getElementById("sub_level_2_box_shadow_blur_over").className = "";
	if (document.getElementById("sub_level_2_box_shadow_spread_over").value == _NOT_SET_)
		document.getElementById("sub_level_2_box_shadow_spread_over").className = "not_set";
	else
		document.getElementById("sub_level_2_box_shadow_spread_over").className = "";
	if (document.getElementById("sub_level_2_box_shadow_color_over").value == _NOT_SET_)
		document.getElementById("sub_level_2_box_shadow_color_over").className = "not_set";
	else
		document.getElementById("sub_level_2_box_shadow_color_over").className = "";
}

function TextFieldClick(el)
{
	if (el.value == _NOT_SET_)	{
		el.value = "";
		el.className = "";
	}
}
function TextFieldChange(el)
{
	el.value = el.value.replace(/[a-z]/gi, '');
}
function TextFieldBlur(el)
{
	if (el.value == "")	{
		el.value = _NOT_SET_;
		el.className = "not_set";
	}
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////
function ResizeWorkspace(mainWidth, mainHeight, menuWidth, headerHeight) {

}

function DisplayNotSavedMessage(btn)	{
	// Needed to complete call when deleting unsaved page.
	window.parent.SetWorkSavedNotSaved(true);
	window.parent.next_btn = btn;
	window.parent.DoNextClick();
}